Package org.apache.commons.math3.exception.util

# Interface ExceptionContextProvider

All Known Implementing Classes:
  `ArcsSet.InconsistentStateAt2PiWrapping`, `CardanEulerSingularityException`, `ConvergenceException`, `DimensionMismatchException`, `Euclidean1D.NoSubSpaceException`, `FractionConversionException`, `IllConditionedOperatorException`, `InsufficientDataException`, `InvalidRepresentationException`, `JacobianMatrices.MismatchedEquations`, `MathArithmeticException`, `MathIllegalArgumentException`, `MathIllegalNumberException`, `MathIllegalStateException`, `MathInternalError`, `MathParseException`, `MathRuntimeException`, `MathUnsupportedOperationException`, `MatrixDimensionMismatchException`, `MaxCountExceededException`, `ModelSpecificationException`, `MultiDimensionMismatchException`, `NoBracketingException`, `NoDataException`, `NoFeasibleSolutionException`, `NoFeasibleSolutionException`, `NonMonotonicSequenceException`, `NonPositiveDefiniteMatrixException`, `NonPositiveDefiniteOperatorException`, `NonSelfAdjointOperatorException`, `NonSquareMatrixException`, `NonSquareOperatorException`, `NonSymmetricMatrixException`, `NotANumberException`, `NotARotationMatrixException`, `NotFiniteNumberException`, `NotPositiveException`, `NotStrictlyPositiveException`, `NullArgumentException`, `NumberIsTooLargeException`, `NumberIsTooSmallException`, `OutOfRangeException`, `SingularMatrixException`, `SingularOperatorException`, `Sphere1D.NoSubSpaceException`, `TooManyEvaluationsException`, `TooManyIterationsException`, `UnboundedSolutionException`, `UnboundedSolutionException`, `UnknownParameterException`, `ZeroException`

public interface ExceptionContextProvider
Interface for accessing the context data structure stored in Commons Math exceptions.

## Method Summary

Modifier and Type
Method
Description
`ExceptionContext`
`getContext()`
Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.

## Method Details

### getContext

ExceptionContext getContext()
Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.

Returns:
  a reference to the exception context.